components:
  schemas:
    Event_Event:
      $ref: http://redfish.dmtf.org/schemas/v1/Event.v1_10_0.yaml#/components/schemas/Event_v1_10_0_Event
      description: The Event schema describes the JSON payload received by an event
        destination, which has subscribed to event notification, when events occur.  This
        resource contains data about events, including descriptions, severity, and
        a message identifier to a message registry that can be accessed for further
        information.
      x-longDescription: This resource contains an event for a Redfish implementation.
    Event_EventType:
      deprecated: true
      enum:
      - StatusChange
      - ResourceUpdated
      - ResourceAdded
      - ResourceRemoved
      - Alert
      - MetricReport
      - Other
      type: string
      x-deprecatedReason: Starting with Redfish Specification v1.6 (Event v1.3), subscriptions
        are based on the RegistryPrefix and ResourceType properties and not on the
        EventType property.
      x-enumDescriptions:
        Alert: A condition requires attention.
        MetricReport: The telemetry service is sending a metric report.
        Other: Because EventType is deprecated as of Redfish Specification v1.6, the
          event is based on a registry or resource but not an EventType.
        ResourceAdded: A resource has been added.
        ResourceRemoved: A resource has been removed.
        ResourceUpdated: A resource has been updated.
        StatusChange: The status of a resource has changed.
      x-enumLongDescriptions:
        MetricReport: Events of type `MetricReport` shall be sent to a client in accordance
          with the MetricReport schema definition.
        Other: Events of type `Other` shall be sent to a client in accordance with
          subscriptions to RegistryPrefixes or ResourceTypes.
      x-enumVersionAdded:
        MetricReport: v1_3_0
        Other: v1_4_0
      x-versionDeprecated: v1_3_0
title: '#Event.Event'
x-copyright: Copyright 2014-2023 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
